org.eclipse.jetty.util.security

## Class CertificateUtils

- java.lang.Object
- - org.eclipse.jetty.util.security.CertificateUtils

-     public class CertificateUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyStore` | `getKeyStore(InputStream storeStream, String storePath, String storeType, String storeProvider, String storePassword)`
    `static Collection<? extends CRL>` | `loadCRL(String crlPath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateUtils

          public CertificateUtils()

  - ### Method Detail

    - #### getKeyStore

          public static KeyStore getKeyStore(InputStream storeStream,
                             String storePath,
                             String storeType,
                             String storeProvider,
                             String storePassword)
                                      throws Exception

      Throws:
        `Exception`

    - #### loadCRL

          public static Collection<? extends CRL> loadCRL(String crlPath)
                                                   throws Exception

      Throws:
        `Exception`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.